ros-humble-ament-cmake-pytest (1.3.14-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 22 Feb 2026 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.13-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Jan 2026 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.12-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 26 Jun 2025 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.11-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.10-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 25 Jul 2024 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.9-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 May 2024 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.8-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.7-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.6-1jammy) jammy; urgency=high

  * backport merge #381 <https://github.com/ament/ament_cmake/issues/381> to humble (#490 <https://github.com/ament/ament_cmake/issues/490>)
  * Contributors: El Jawad Alaa

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Nov 2023 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.5-1jammy) jammy; urgency=high

  * Fix pytest-cov version detection with pytest >=7.0.0 (#459 <https://github.com/ament/ament_cmake/issues/459>)
  * Contributors: Christophe Bedard

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 May 2022 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Fix misleading comment (#361 <https://github.com/ament/ament_cmake/issues/361>)
  * Contributors: Audrow Nash, Tim Clephas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Support commands with executable targets (#352 <https://github.com/ament/ament_cmake/issues/352>)
  * Mention other platforms in 'pytest/pytest-cov not found' warning (#337 <https://github.com/ament/ament_cmake/issues/337>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Christophe Bedard, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Oct 2021 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 21:59:00 -0000

ros-humble-ament-cmake-pytest (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 18:12:00 -0000

ros-humble-ament-cmake-pytest (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Feb 2021 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.0.4-1jammy) jammy; urgency=high

  * Fix ament_get_pytest_cov_version for newer versions of pytest (#315 <https://github.com/ament/ament_cmake/issues/315>)
  * Contributors: Christophe Bedard

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Dec 2020 23:00:00 -0000

ros-humble-ament-cmake-pytest (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Sep 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (1.0.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 21 Jul 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.9.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 13:45:00 -0000

ros-humble-ament-cmake-pytest (0.9.0-1jammy) jammy; urgency=high

  * Enable coverage information generation for pytest tests with CMake (#226 <https://github.com/ament/ament_cmake/issues/226>)
    * Enable coverage information generation for pytest tests with CMake
    * Add comment about pytest-cov version requirement for --cov-branch
    * Add --pytest-with-coverage to run_test.py and mention the env var
    * Rename to AMENT_CMAKE_TEST_PYTEST_WITH_COVERAGE
    * Fix missing quote
    * Exclude gtests from pytest coverage explicitly
    They were excluded before, but only because gtests didn't use --env or --append-end.
    * Append pytest-cov flags in ament_add_pytest_test() directly
    * Fix ament_has_pytest_cov()
    * Change default logic to avoid overriding CLI params
    * Remove --cov-append pytest_cov option
    * Simplify indentation
    * Remove QUIET arg from ament_has_pytest_cov()
    * Change ament_has_pytest_cov() to ament_get_pytest_cov_version()
    * Do not return() if pytest_cov is not found in ament_add_pytest_test()
    * Fix missing empty <options> argument
    * Simplify pytest_cov version regex match
    * Write pytest_cov results to test-specific directory
    * Make sure to create test-specific pytest_cov directory
  * Contributors: Christophe Bedard

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 10:25:00 -0000

ros-humble-ament-cmake-pytest (0.8.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.8.0-1jammy) jammy; urgency=high

  * Add runner option to ament_add_test (#174 <https://github.com/ament/ament_cmake/issues/174>)
    * ament_cmake allow speficiation of a different test runner
    - By default, still uses run_test.py
    - Example use case: ament_cmake_ros can use a test runner that sets a ROS_DOMAIN_ID
    * ament_cmake move run_test.py to a python module
    - This should let us see the history
    * ament_cmake refactor run_test.py into an importable python module
    - Adds an ament_cmake_test python package
  * Add WERROR option to ament_add_pytest_test (#168 <https://github.com/ament/ament_cmake/issues/168>)
    This has the benefit of making deprecation warnings visible, which are not by default.
    Default value for the option is OFF.
  * Contributors: Jacob Perron, Peter Baughman

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.7.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.7.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.7.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.7.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 07 Apr 2019 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.6.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Nov 2018 23:00:00 -0000

ros-humble-ament-cmake-pytest (0.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 12 Jun 2018 22:00:00 -0000

ros-humble-ament-cmake-pytest (0.4.0-1jammy) jammy; urgency=high

  * add ament_cmake_pytest package (#116 <https://github.com/ament/ament_cmake/issues/116>)
    * add ament_cmake_pytest package
    * doc fixup
    * wrap comment
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


